Bug Hunting Session
Bug 94886 - Make "bold" and "italics" character style configurable
Summary: Make "bold" and "italics" character style configurable
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Font-List
  Show dependency treegraph
 
Reported: 2015-10-08 14:33 UTC by Fred
Modified: 2018-01-11 10:05 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Fred 2015-10-08 14:33:41 UTC
Some fonts do not just have regular, bold and italics, but also light, semibold and light italics typefaces, for instance Gill Sans.  The problem: LO's "bold" and "italics" cannot be changed to use the "semibold" and "light italic" typefaces to match the font thickness in use (which then means some manual or macro solution to fix the deficiency).  To set the "normal" font is easy to do in the document style management, but I propose to also make the configuration for "bold" and "italic" available as character styles so that they can be configured to whatever the user needs, making it thus also possible to re-assign "bold" and "italic" to entirely different fonts and typefaces in case an author so desires.  Naturally this setting also needs an "off"  switch so LO behaves as before, but doing it this way fixes a problem yet stays consistent within the user interface and thus does not require any new intructions of handling of legacy issues.
Thanks a lot in advance if you could do this - it's been a rather long outstanding issue but I never felt before I could offer a suitable way to do this without it making disruptive, and I exactly like LO because its UI is stable and devoid of gimmicks :).
Comment 1 Fred 2015-10-08 14:41:32 UTC
Note: this could possibly be a route to address bug 90068 at the same time - making the various "built in" styles configurable could allow a more exact matching with user needs.  I would, however, suggest that any change from a current "default" needs a facility to restore/reset to said default to prevent support and legacy issues, but making it user configurable avoids the risk that a specific solution will support one need, but not another.
Comment 2 V Stuart Foote 2015-10-08 14:52:58 UTC
Reasonable. But suspect considerable issues juggling font family renderings, as well as changes to the framework for font styles that would be needed if worked with bug 90068
Comment 3 Regina Henschel 2015-10-08 15:45:28 UTC
I think, that new styles will not solve the problem, so bug #90068 is not related. The wish here is, to get access to the other font styles of the same family, so that in an inheritance you can set the basic style to the font family and an derived style to a special style of it, for example.

I think the wish here is more related to bug #66792.
Comment 4 Fred 2015-10-08 15:50:04 UTC
Fair enough - maybe it would get a bit too entangled.  

In any case, the mechanism to choose the right typeface for bold & italic needs some attention - the underlying assumptions that it's only ever regular, italic and bold have aged somewhat :)
Comment 5 Fred 2015-10-08 16:01:36 UTC
> I think the wish here is more related to bug #66792.

Yes, that too focuses on typeface family selection rather than output but feels cumbersome in UI terms.  My appreciation of LO stems partly from having a stable, gimmick free UI across all platforms, and I am keen to avoid prodding anyone into changing that - it works :).  Thanks for that, will keep an eye on that too.
Comment 6 Jean-Baptiste Faure 2015-10-10 21:27:01 UTC
I do not understand where is the problem: with LibreOffice 5.0.4.0+ under Ubuntu 15.04 x86-64 I can see semibold and semibold italic in several fonts. For example Linux Libertine G (and O), Source Sans Pro, Ubuntu, URW Bookman L

Best regards. JBF
Comment 7 Fred 2015-10-10 23:50:57 UTC
First a comment: apparently, what I called "typeface" is actually correctly called "weight".  As I'm not a font expert I will continue to use the word "typeface" to avoid confusing LO developers until someone with acknowledged font design background confirms this.  For the purpose of clarity I will also call styles "strong" and "emphasis", using their literary function rather than the specific choices of font weights may make it clearer where the issue lies and to distinguish the function from the font weight, sorry, typeface.  Writers, LaTEX users and web developers will certainly grok this.  Onwards with the reply :).


You may be able to /see/ font typefaces after some digging in the interface, but you cannot actually /use/ them sensibly.  When you use the Gill Sans "light" as default typeface in the document style setup, the "strong" and "emphasis" functions will pick the wrong typeface ("weight") as they default to the "bold" and 'italic" typefaces that match the regular font typeface instead of the required matching "SemiBold" and "ItalicLight", and there is no easy, logical way to adjust this fairly fundamental functionality.

The current situation is that users are forced to brew their own setup when they select any default font that is not "regular", and can only do so by defining separate character styles and further remapping the keystrokes if they want to have keyboard access, which is really hacking around missing fundamentals.  

By making the "strong" and "emphasis" functions directly configurable it would be far easier for the user to make LO work with their choices and store them as appropriate in either the one document, or even as their working template.  The flexibility also makes it possible to choose entirely different fonts for strong and emphasis (which makes LO also more interesting for typesetting/DTP) but I digress.

In this context I'm wondering if the same choices should not be exposed as document defaults, in Preferences/Settings - LibreOffice Writer - Base Fonts there is not even a typeface selection, nor are "strong" and "emphasis" defined there as they again rely on that last century assumption.  You could still call them "bold" and "italics" if you don't want to confuse users with accuracy (cough :)), but it's IMHO a fairly major omission in this context too.

BTW, it is best to leave the typeface selection open - it's not just about "light" versus "regular".  Font weights go from "hairline" all the way to "ultra-black" or can be identified by numbers such as in "Helvetica Neue 45".
Comment 8 Robinson Tryon (qubit) 2016-03-24 15:30:12 UTC
Sounds like there's active discussion on this enhancement (even if there's no clear decision about what, if anything, to do), so I'm tossing it into NEW. Please discuss away...
Comment 9 Robinson Tryon (qubit) 2016-08-25 05:49:11 UTC Comment hidden (obsolete)
Comment 10 Heiko Tietze 2018-01-11 10:05:16 UTC
This topic is dealing with two different aspects. The first is to modify the style 'emphasis' in order to make the selection semibold. That works out of the box, just modify the style. => WORKSFORME
The other aspect here is that non-discrete properties are not well implemented. We have bug 66792 and bug 35538, for example, dealing with listing issues when a font has various styles (=> DUP). And it becomes worse when variable fonts [1] get into the mainstream providing a dynamic scale from regular and bold (and potentially all other typeface properties). I think as long this is not required we shouldn't change the known behavior of on/off bold and italic. That also means we don't make it customizable what weight option of the font is used for bold. Therefore => WONTFIX.

[1] https://medium.com/@tiro/https-medium-com-tiro-introducing-opentype-variable-fonts-12ba6cd2369